<div class="controls-holder">
    <form [formGroup]="modelForm">
        <button type="button" (click)="executeTask($event, 'save')">Save</button>
        <button type="button" (click)="executeTask($event, 'clear')">Clear</button>

        <label>
            Color:
            <select formControlName="color">
                <option disabled selected>Select Line Color</option>
                <option *ngFor="let color of colors" [value]="color.value">{{color.title}}</option>
            </select>
        </label>

        <label>
            Width:
            <select formControlName="width">
                <option disabled selected>Select Line Width</option>
                <option *ngFor="let element of width" [value]="element.value">{{element.title}}</option>
            </select>
        </label>

        <button type="button" (click)="executeTask($event, 'undo')" [disabled]="!isShowUndo">Undo</button>
        <button type="button" (click)="executeTask($event, 'redo')" [disabled]="!isShowRedo">Redo</button>
        <input formControlName="imageWidth">
        <input formControlName="imageHeight">
        <button type="button" (click)="executeTask($event, 'resize')">Resize</button>
        <label>
            Filter:
            <select formControlName="filter">
                <option selected disabled>Select Filter Type</option>
                <option *ngFor="let value of filterOptions; let i = index" [value]="i">{{value.name}}</option>
            </select>
        </label>
        <label>
            Value:
            <select formControlName="filterValue">
                <option selected disabled>Select Filter Option</option>
                <option *ngFor="let value of filterOptions[modelForm.get('filter').value]?.values" [value]="value.value">{{value.title}}</option>
            </select>
        </label>
    </form>
</div>